# Uses of Class
org.eclipse.core.databinding.observable.list.ListDiff

Packages that use ListDiff
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.
org.eclipse.core.databinding.property.list

## Uses of ListDiff in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return ListDiff
Modifier and Type
Method
Description
`static <E> ListDiff<E>`
Diffs.`computeLazyListDiff(List<? extends E> oldList, List<? extends E> newList)`
Returns a lazily computed `ListDiff` describing the change between the specified old and new list states.
`static <E> ListDiff<E>`
Diffs.`computeListDiff(List<? extends E> oldList, List<? extends E> newList)`
Returns a `ListDiff` describing the change between the specified old and new list states.
`static <E> ListDiff<E>`
Diffs.`createListDiff(List<ListDiffEntry<E>> differences)`
Creates a new ListDiff object given its constituent ListDiffEntry objects.
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E> difference)`
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E>... differences)`
Creates a new ListDiff object given its constituent ListDiffEntry objects.
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E> difference1, ListDiffEntry<E> difference2)`
`static <E> ListDiff<E>`
Diffs.`unmodifiableDiff(ListDiff<? extends E> diff)`
Returns an unmodifiable wrapper on top of the given diff.
Methods in org.eclipse.core.databinding.observable with parameters of type ListDiff
Modifier and Type
Method
Description
`static <E> ListDiff<E>`
Diffs.`unmodifiableDiff(ListDiff<? extends E> diff)`
Returns an unmodifiable wrapper on top of the given diff.

## Uses of ListDiff in org.eclipse.core.databinding.observable.list

Fields in org.eclipse.core.databinding.observable.list declared as ListDiff
Modifier and Type
Field
Description
`ListDiff<E>`
ListChangeEvent.`diff`
Description of the change to the source observable list.
Methods in org.eclipse.core.databinding.observable.list with parameters of type ListDiff
Modifier and Type
Method
Description
`protected void`
AbstractObservableList.`fireListChange(ListDiff<E> diff)`
`protected void`
DecoratingObservableList.`fireListChange(ListDiff<E> diff)`
`protected void`
ObservableList.`fireListChange(ListDiff<E> diff)`
Constructors in org.eclipse.core.databinding.observable.list with parameters of type ListDiff
Modifier
Constructor
Description
``
`ListChangeEvent(IObservableList<E> source, ListDiff<E> diff)`
Creates a new list change event.

## Uses of ListDiff in org.eclipse.core.databinding.property.list

Methods in org.eclipse.core.databinding.property.list with parameters of type ListDiff
Modifier and Type
Method
Description
`protected abstract void`
SimpleListProperty.`doSetList(S source, List<E> list, ListDiff<E> diff)`
Updates the property on the source with the specified change.
`protected void`
DelegatingListProperty.`doUpdateList(S source, ListDiff<E> diff)`
`protected void`
ListProperty.`doUpdateList(S source, ListDiff<E> diff)`
Updates the property on the source with the specified change
`protected void`
MultiListProperty.`doUpdateList(S source, ListDiff<E> diff)`
`protected void`
SimpleListProperty.`doUpdateList(S source, ListDiff<E> diff)`
`final void`
SimpleListProperty.`setList(S source, List<E> list, ListDiff<E> diff)`
Updates the property on the source with the specified change.
`void`
IListProperty.`updateList(S source, ListDiff<E> diff)`
Updates the property on the source with the specified change
`final void`
ListProperty.`updateList(S source, ListDiff<E> diff)`
Method parameters in org.eclipse.core.databinding.property.list with type arguments of type ListDiff
Modifier and Type
Method
Description
`abstract INativePropertyListener<S>`
SimpleListProperty.`adaptListener(ISimplePropertyListener<S,ListDiff<E>> listener)`
Returns a listener capable of adding or removing itself as a listener on a source object using the the source's "native" listener API.